Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163028 - while reading copy protected audio-cdrom system freezes
Summary: while reading copy protected audio-cdrom system freezes
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alan Cox
QA Contact: Brian Brock
URL: system crash while reading copy prote...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 12:10 UTC by Thomas Lang
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-11 17:49:57 UTC


Attachments (Terms of Use)

Description Thomas Lang 2005-07-12 12:10:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.4) Gecko/20050408 Red Hat/1.4.4-1.3.5.SL

Description of problem:
i had a system crash. the situation was: kde-session by a non privileged user. i was given an audio-cd with an extra iso-filsystem and copy protection in the cdrom-drive. after some minutes the X was frozen and the LEDs on the right side of my keyboard were blinking. i can provoke this error by putting this cd in the drive again.
no error messages in /var/log/messages exept reading errors by cdrom drive.

Version-Release number of selected component (if applicable):
kernel-2.6.9-11.EL

How reproducible:
Always

Steps to Reproduce:
1. kde-session
2. insert an copy protected audio cdrom
3. wait some minutes
  

Actual Results:  X was frozen. no reaction. i can't switch to consoles. 

Additional info:

Comment 1 Alan Cox 2005-08-27 00:37:28 UTC
Can you switch to a text mode console and try the same, you may need to mount it
by hand to test. Also please provide the CD-ROM drive make/model. Some vendors
CD drives crash if they are presented a corrupt disc and in certain cases their
answer is not only that it is unsupported but that by inserting non CD media (ie
copy corrupted discs) you even invalidated the warranty!

The debug trace you should see on the console will help identify the actual
situation better.

Alan


Comment 2 Alan Cox 2006-08-11 17:49:57 UTC
Closing due to lack of activity.



Note You need to log in before you can comment on or make changes to this bug.